Legrand / Raritan / Server Technology Xerus™ JSON-RPC API

Loading...
Searching...
No Matches
Public Attributes | List of all members
security::PasswordSettingsChanged Struct Reference

This Event is emitted after any of the password-settings has been changed. More...

Inheritance diagram for security::PasswordSettingsChanged:

## Public Attributes
PasswordSettings | oldSettings
PasswordSettings | newSettings
Public Attributes inherited from event::UserEvent
string | actUserName
| user who triggered event
string | actIpAddr
| ip or device on which user is logged in
Public Attributes inherited from idl::Event
Object | source
| IDL object that originated the event.

## Detailed Description

This Event is emitted after any of the password-settings has been changed.

Definition at line 125 of file Security.idl.

## Member Data Documentation

## ◆ newSettings

PasswordSettings security::PasswordSettingsChanged::newSettings

Definition at line 127 of file Security.idl.

## ◆ oldSettings

PasswordSettings security::PasswordSettingsChanged::oldSettings

Definition at line 126 of file Security.idl.

The documentation for this struct was generated from the following file:

- Security.idl